import * as graphql from 'graphql';
import type { Schema, InputType, OutputType, AllType, SubscriptionObjectType, ArgMap } from './types.js';
export declare function buildGraphQLSchema<RootSrc>(schema: Schema<RootSrc>): graphql.GraphQLSchema;
export declare function toGraphQLArgs<T>(args: ArgMap<T>, typeMap: Map<AllType, graphql.GraphQLType>): graphql.GraphQLFieldConfigArgumentMap;
export declare function toGraphQLSubscriptionObject<RootSrc>(subscriptionObj: SubscriptionObjectType<RootSrc>, typeMap: Map<AllType, graphql.GraphQLType>): graphql.GraphQLObjectType;
export declare function toGraphQLInputType(t: InputType<any>, typeMap: Map<AllType, graphql.GraphQLType>): graphql.GraphQLInputType;
export declare function toGraphQLOutputType<Src>(t: OutputType<any>, typeMap: Map<AllType, graphql.GraphQLType>): graphql.GraphQLOutputType;
